import React from 'react';
import Select from '../../components/select';
import styles from './index.less';

const Index = () => {
  const opt = {
    type:1,
    no: 1,
    total: 213,
    title:
      '脑底动脉环在脑循环中起着非常重要的作用，能沟通脑前脑、后、左、右的血液供应，下列哪条动脉不参与脑底动脉环的组成？',
    optionList: [
      {
        id:0,
        no: 'A',
        title: '前交通动脉',
      },
      {
        id:1,
        no: 'B',
        title: '矩形备份',
        isRight: true,
      },
      {
        id:2,
        no: 'C',
        title: '颈内动脉',
        isRight: true,
      },
      {
        id:3,
        no: 'D',
        title: '大脑前动脉',
      },
      {
        id:4,
        no: 'E',
        title: '大脑后动脉',
      },
    ],
    rightAnswer:"BD",
    analysis:"脑底动脉环的组成包括颈内动脉，大脑前动脉起始段，前交通动脉，大脑后动脉和后交通动脉，不包括椎动脉。"
  };
  return (
    <>
      <Select {...opt}/>
    </>
  );
};

export default Index;
